Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.princeton.repeatedgames.rgsolve.games
Enum GameFactory.FIELD_TYPE

    java.lang.Object
      java.lang.Enum<GameFactory.FIELD_TYPE>
          edu.princeton.repeatedgames.rgsolve.games.GameFactory.FIELD_TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GameFactory.FIELD_TYPE>

Enclosing class:
  GameFactory

    private static enum GameFactory.FIELD_TYPE

extends java.lang.Enum<GameFactory.FIELD_TYPE>

An enum for types of fields in games, REAL and INT

Enum Constant Summary
`INT`
`REAL`

Method Summary
`static GameFactory.FIELD_TYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GameFactory.FIELD_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REAL

    public static final GameFactory.FIELD_TYPE REAL

### INT

    public static final GameFactory.FIELD_TYPE INT

Method Detail

### values

    public static GameFactory.FIELD_TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GameFactory.FIELD_TYPE c : GameFactory.FIELD_TYPE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GameFactory.FIELD_TYPE valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD